curl --request POST \
--url https://platform.swipelux.com/v3/sandbox/transfers/{transferId}/state \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"state": "completed"
}
'{
"data": {
"id": "<string>",
"origin": "quoted",
"customerId": "<string>",
"openTaskIds": [
"<string>"
],
"method": "<string>",
"direction": "fiat_to_stablecoin",
"state": "awaiting_funds",
"stateDetail": {
"code": "<string>",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"amounts": {
"in": {
"amount": "<string>",
"currency": "<string>",
"network": "polygon"
},
"out": {
"amount": "<string>",
"currency": "<string>",
"network": "polygon"
},
"settled": {
"amount": "<string>",
"currency": "<string>"
}
},
"fees": [
{
"beneficiary": "developer",
"amount": "<string>",
"currency": "<string>",
"rule": {
"fixed": "<string>",
"bips": 123
}
}
],
"source": {
"type": "external"
},
"destination": {
"type": "account",
"id": "<string>"
},
"references": {
"returnedTransferId": "<string>",
"transactionHash": "<string>",
"traceNumber": "<string>",
"imad": "<string>",
"uetr": "<string>",
"explorerUrl": "<string>"
},
"instructions": {
"type": "bank",
"method": "ach",
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"details": {},
"accountHolderName": "<string>",
"bankName": "<string>",
"reference": {
"value": "<string>",
"required": true
},
"localAmount": {
"amount": "<string>",
"currency": "<string>"
},
"expiresAt": "<string>"
},
"timestamps": {
"createdAt": "<string>",
"updatedAt": "<string>",
"fundsReceivedAt": "<string>",
"completedAt": "<string>",
"failedAt": "<string>",
"returnedAt": "<string>",
"settledAt": "<string>"
},
"quoteId": "<string>",
"capabilityId": "<string>",
"institutionId": "<string>",
"externalId": "<string>",
"memo": "<string>",
"supportingDocuments": [
"<string>"
]
}
}{
"type": "https://docs.swipelux.com/errors/validation-error",
"title": "<string>",
"status": 400,
"code": "validation_error",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"retryable": true,
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}{
"type": "https://docs.swipelux.com/errors/unauthorized",
"title": "<string>",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/forbidden",
"title": "<string>",
"status": 403,
"code": "forbidden",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/not-found",
"title": "<string>",
"status": 404,
"code": "not_found",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"retryable": true,
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}{
"type": "https://docs.swipelux.com/errors/internal-error",
"title": "<string>",
"status": 500,
"code": "internal_error",
"detail": "<string>",
"correlationId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}sandbox
Force sandbox transfer state
Forces an existing sandbox transfer to completed or failed.
curl --request POST \
--url https://platform.swipelux.com/v3/sandbox/transfers/{transferId}/state \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"state": "completed"
}
'{
"data": {
"id": "<string>",
"origin": "quoted",
"customerId": "<string>",
"openTaskIds": [
"<string>"
],
"method": "<string>",
"direction": "fiat_to_stablecoin",
"state": "awaiting_funds",
"stateDetail": {
"code": "<string>",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"amounts": {
"in": {
"amount": "<string>",
"currency": "<string>",
"network": "polygon"
},
"out": {
"amount": "<string>",
"currency": "<string>",
"network": "polygon"
},
"settled": {
"amount": "<string>",
"currency": "<string>"
}
},
"fees": [
{
"beneficiary": "developer",
"amount": "<string>",
"currency": "<string>",
"rule": {
"fixed": "<string>",
"bips": 123
}
}
],
"source": {
"type": "external"
},
"destination": {
"type": "account",
"id": "<string>"
},
"references": {
"returnedTransferId": "<string>",
"transactionHash": "<string>",
"traceNumber": "<string>",
"imad": "<string>",
"uetr": "<string>",
"explorerUrl": "<string>"
},
"instructions": {
"type": "bank",
"method": "ach",
"amount": {
"amount": "<string>",
"currency": "<string>"
},
"details": {},
"accountHolderName": "<string>",
"bankName": "<string>",
"reference": {
"value": "<string>",
"required": true
},
"localAmount": {
"amount": "<string>",
"currency": "<string>"
},
"expiresAt": "<string>"
},
"timestamps": {
"createdAt": "<string>",
"updatedAt": "<string>",
"fundsReceivedAt": "<string>",
"completedAt": "<string>",
"failedAt": "<string>",
"returnedAt": "<string>",
"settledAt": "<string>"
},
"quoteId": "<string>",
"capabilityId": "<string>",
"institutionId": "<string>",
"externalId": "<string>",
"memo": "<string>",
"supportingDocuments": [
"<string>"
]
}
}{
"type": "https://docs.swipelux.com/errors/validation-error",
"title": "<string>",
"status": 400,
"code": "validation_error",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"retryable": true,
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}{
"type": "https://docs.swipelux.com/errors/unauthorized",
"title": "<string>",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/forbidden",
"title": "<string>",
"status": 403,
"code": "forbidden",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/not-found",
"title": "<string>",
"status": 404,
"code": "not_found",
"detail": "<string>",
"correlationId": "<string>",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"retryable": true,
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}{
"type": "https://docs.swipelux.com/errors/internal-error",
"title": "<string>",
"status": 500,
"code": "internal_error",
"detail": "<string>",
"correlationId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
Response
Sandbox transfer state forced
Show child attributes
Show child attributes
Related topics
Force sandbox capability statusMigrate a v1 or v2 integration to Swipelux API v3Sandbox testingErrors and retriesTransfer state changed⌘I